body{
	background: url(/assets/images/background/space-min.webp) no-repeat 50% 50%;
	background-size: cover;
}
body .app-footer{
	min-height: 12px;
}

body .app-header{
	background: rgba(255, 255, 255, 0.2); 
	-webkit-backdrop-filter: blur(10px);
	backdrop-filter: blur(10px);
	
    
}

body .bg-body{
	background-color: rgba(255,255,255,0.1) !important;
	color: #fff;
	border: none !important;
}
body .bg-body .nav-link{
	color: #fff;
}

body .sidebar-brand .brand-link .brand-image{
	max-height: 20px;
}
body aside.app-sidebar{
	background-color: rgba(255,255,255,0.1) !important;
	-webkit-backdrop-filter: blur(10px);
	backdrop-filter: blur(10px);
}
body .sidebar-brand{
	border: none;
	justify-content: center;
	position: relative;
}
body .sidebar-brand:after{
	content: "";
	width: 80%;
	height: 1px;
	background: rgba(255, 255, 255, 0.08);
	position: absolute;
	bottom: 0;
	left: 10%;
	display: block;
	
}
body aside .sidebar-wrapper{
	padding-left: 16px;
	padding-right: 16px;
}


.left-nav{
	background-color: rgba(255, 255, 255, 0.08);
	border-radius: 10px;
	border: 1px solid rgba(255, 255, 255, 0.15);
}

body .sidebar-menu > .nav-header{
	font-size: 16px;
	font-weight: 600;
}


.header-bar{
	display: flex;
	gap: 24px;
	align-items: flex-end;
}

.start-nav{
	color: #fff;
}


.floating-search{
	background-color: rgba(255, 255, 255, 0.12);
    border-radius: 8px;
    border: 1px solid rgba(255, 255, 255, 0.25);
    color: #fff;
    min-width: 380px;
    height: 36px;
    display: flex;
    align-items: center;
    position: relative;
    padding: 2px 
}

#fast-search-box{
	height: 30px;
	border: none;
	border-radius: 6px;
	background-color: rgba(255, 255, 255, 0.02);
	-webkit-backdrop-filter: blur(20px);
	backdrop-filter: blur(20px);
	outline: none;
	color: #fff;
	padding-left: 6px;
	font-weight: 300;
	flex-grow: 1;
}
#fast-search-box::placeholder{
	color: #ffffffaa;
}
#fast-search-box:focus{
	background-color: rgba(255, 255, 255, 0.08);
}

.floating-search>span{
	display: inline-flex;
	width: 32px;
	height: 32px;
	cursor: pointer;
	position: relative;
	background-color: #ffffffaa;
	transition: background-color 0.3s;
}


.fast-search-clear{
    -webkit-mask-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' fill='none'%3E%3Cpath fill='%23333' d='M7.495 6.505a.7.7 0 1 0-.99.99L11.01 12l-4.505 4.505a.7.7 0 0 0 .99.99L12 12.99l4.504 4.504a.7.7 0 1 0 .99-.99L12.99 12l4.504-4.505a.7.7 0 0 0-.99-.99L12 11.01z'/%3E%3C/svg%3E");
    mask-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' fill='none'%3E%3Cpath fill='%23333' d='M7.495 6.505a.7.7 0 1 0-.99.99L11.01 12l-4.505 4.505a.7.7 0 0 0 .99.99L12 12.99l4.504 4.504a.7.7 0 1 0 .99-.99L12.99 12l4.504-4.505a.7.7 0 0 0-.99-.99L12 11.01z'/%3E%3C/svg%3E");
    mask-position: center;
    mask-repeat: no-repeat;
    mask-size: 70%;
}
.fast-search-btn{
	-webkit-mask-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='20' height='20' fill='none'%3E%3Cpath fill='%23fff' fill-rule='evenodd' d='M9.022 14.604c1.333 0 2.56-.46 3.527-1.23l3.288 3.288a.583.583 0 0 0 .825-.825l-3.279-3.278a5.671 5.671 0 1 0-4.361 2.046zm0-1.166a4.505 4.505 0 1 0 0-9.01 4.505 4.505 0 0 0 0 9.01' clip-rule='evenodd'/%3E%3C/svg%3E");
    mask-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='20' height='20' fill='none'%3E%3Cpath fill='%23fff' fill-rule='evenodd' d='M9.022 14.604c1.333 0 2.56-.46 3.527-1.23l3.288 3.288a.583.583 0 0 0 .825-.825l-3.279-3.278a5.671 5.671 0 1 0-4.361 2.046zm0-1.166a4.505 4.505 0 1 0 0-9.01 4.505 4.505 0 0 0 0 9.01' clip-rule='evenodd'/%3E%3C/svg%3E");
    mask-position: center;
    mask-repeat: no-repeat;
    mask-size: 70%;
}

.floating-search>span:hover{
	background-color: #fff;
}

.filter-group{
	display: inline-flex;
	height: 28px;
	font-size: 14px;
	font-weight: 400;
	
	background-color: rgba(255, 255, 255, 0.08);
	-webkit-backdrop-filter: blur(20px);
	backdrop-filter: blur(20px);
	color: #ffffffba;
	border-radius: 5px;
		
		color: #fff;
		font-size: 15px;
		text-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
		letter-spacing: 0.01em
}

.filter-group>span{
	display: inline-flex;
	height: 100%;
	padding: 0 10px;
	align-items: center;
	white-space: nowrap;
	Xcursor: pointer;
	transition: color 0.3s;
}
.filter-group>span a{
	display: inline-block;
	Xpadding: 3px 0;
}
.filter-group>span.active{
	background-color: #ffffff29;
	color: #fff;
}
.filter-group>span:first-child{
	border-radius: 5px 0 0 5px; 
}
.filter-group>span:last-child{
	border-radius: 0 5px 5px 0;
}
.filter-group:not(.active)>span:hover{
	color: #fff;
}




.dd-data-list{
	color: navy;
	font-size: 13px;
	line-height: 1.2;
	margin-top: 4px;
}
.dd-data-list b{
	font-weight: 500;
}


.express-list-marker{
	color: crimson;
	margin-top: 8px;
	animation: breathe 2s ease-in-out infinite;
}
@keyframes breathe {
  0%, 100% {
    opacity: 0.97;
    transform: scale(0.98);
  }
  50% {
    opacity: 1;
    transform: scale(1.1);
  }
}












.order-overlay{
	position: fixed;
	z-index: 2222;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: linear-gradient(rgba(0, 32, 78, 0.52) 0%, rgb(0, 32, 78) 100%);
}

.order-editor{
	position: absolute;
	width: calc(100% - 300px);
	bottom: 0;
	right: 24px;
	border-radius: 16px 16px 0  0;
	background: #fff;
	height: calc(100% - 70px);
	height: calc(100% - 16px);
	background: #eef2f4;
	padding: 24px;
	
	overflow-y: auto;
}









.order-price-pop{
	display: flex;
	align-items: center;
	gap: 24px;
}

.order-sum-value{
	font-size: 24px;
	font-weight: 600;
	font-family: "Roboto Mono", Courier, monospace;
	white-space: nowrap;
}

.order-sum-value small{
	font-weight: 400;
}

.pop-payment-type{
	display: flex;
    flex-direction: column;
    width: 100px;
    font-size: 14px;
    line-height: 1.15;
}

.paid-status{
	font-size: 14px;
	font-weight: 500;
}
.paid-status.not-paid{
	color: crimson;
}
.paid-status.is-paid{
	color: forestgreen;
}

/*.order-status{
	width: 100px;
}*/
.order-status .btn{
	line-height: 1.1;
}
.pop-current-stage .btn{
	line-height: 1.1;
}

.pop-current-stage{
	width: 100px;
}

.pop-current-stage .btn{
	display: flex;
	width: 100%;
	gap: 8px;
}



.main-pop-contact{
	display: flex;
	justify-content: space-between;
}



.main-pop-contact .name{
	font-size: 22px;
	font-weight: 400;
	color: #000;
}


.main-pop-contact .contacts{
	color: rgb(168, 172, 179);
}
.main-pop-contact .phone{
	
	font-weight: 600;
}

.order-editor hr{
	border-color: #a9a9a9;
}

.user-comment b{
	font-weight: 500;
}
.user-comment{
	font-size: 15px;
	margin-top: 8px;
}

.order-editor .card-title{
	font-weight: 600;
}
.order-editor .card-header > .card-tools{
	margin-right: 0;
}
.order-editor .card-header{
	padding-bottom: 12px;
}


.table-delivery{
	font-size: 15px;
}
.table-delivery b{
	font-weight: 600;
}


.order-editor .badge{
	font-weight: 400;
	letter-spacing: 0.75px;
	font-size: 12px;
}


.fcn{
	font-family: Consolas, Courier, monospace;
}

.table-delivery .delivery-price{
	color: darkred;
	font-weight: 600;
}

.dds-values{
	color: #777;
	color: navy;
}
.dd-label{
	font-size: 14px;
	color: #777;
}

.dds-values b{
	font-family: Consolas, Courier, monospace;
	
}

.promocode-text{
	color: #EA4984;
}

.express-timer{
	font-family: "Romoto Mono", Consolas, Courier;
	font-weight: 300;
	font-size: 16px;
	color: crimson;
}

.order-editor .card-tools{
	display: flex;
	gap: 8px;
	align-items: center;
}

.deficite{
	color: crimson;
	font-size: 16px;
	font-family: "Romoto Mono", Consolas, Courier;
}
.full-stock{
	color: forestgreen;
	font-size: 16px;
}

.table-products{
	font-size: 15px;
}
.pl-vendor-code{
	font-family: "Romoto Mono", Consolas, Courier;
	font-size: 16px;
}

.p-price{
	font-size: 15px;
	color: #333;
}

.p-price .old{
	text-decoration: line-through;
	color: #444;
	margin-right: 5px;
}


.order-editor .is-gift .pl-vendor-code, .order-editor .is-gift .pg-title{
	color: rgb(0, 123, 255);
}
.is-gift .p-price{
	color: magenta;
}


.gft-thumb i{
	font-size: 20px;
	color: pink;
}
.gft-thumb>div{
	width: 50px;
	padding: 8px 0;
}

.micro-img{
	width: 22px;
	height: 22px;
	border-radius: 100%;
}

.t-b{
	font-weight: 500;
	font-size: 14px;
	color: #262626;
}
.history-agent{
	color: #2066b0;
	display: flex;
	gap: 6px;
	align-items: center;
	font-size: 15px;
}

.stages-setter{
	
}
.stages-setter .btn-ss:not(.is-active){
	display: none;
}

.animate__snap{animation:clickSnap .32s cubic-bezier(0.25,0.46,0.45,0.94)!important}
/* Эффект четкого щелчка (замена Bounce) */
@keyframes clickSnap {
    0% { transform: scale(1); filter: brightness(1); }
    20% { transform: scale(0.692); filter: brightness(1.5); }
    100% { transform: scale(1); filter: brightness(1); }
}

.editor-top{
	gap: 20px;
	align-items: center;
}

.editor-top h3{
	margin-bottom: 0;
}

.editor-top select{
	box-shadow: rgba(0, 0, 0, 0.075) 0px 1px 2px 0px inset;
	border: 1px solid #dee2e6;
	border-radius: 0.375rem;
	padding: 2px 8px;
	min-width: 200px;
}



.editor-top select:focus {
    border-color: rgb(134, 182.5, 254);
    outline: 0;
    box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.075), 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
}

.on-stores-stock{
	font-size: 12px;
}



body .table-striped > tbody > tr:nth-of-type(odd) > *{
	--bs-table-bg-type: rgb(0 0 0 / 2%);
}

.editor-closer{
	position: absolute;
    display: flex;
    left: 216px;
    width: 60px;
    top: 32px;
    height: 42px;
    Xbackground: #3389cf;
    background-color: #3389cf;
    cursor: pointer;
    border-radius: 21px 0 0 21px;
    align-items: center;
    padding-left: 13px;
    padding-bottom: 2px;
    color: #fff;
    font-weight: 700;
    transition: opacity 0.6s, background-color: 0.6s;
    opacity: 0.9;
}

.editor-closer:hover{
	opacity: 1;
	background-color: crimson;
}

.filters-btn-wrap{
	display: flex;
	gap: 20px;
}


.product-stock-manager{
	display: flex;
	gap: 12px;
	margin-left: 8px;
}

.product-stock-manager>span, .product-stock-manager>input{
	width: 32px;
}
.product-stock-manager>span{
	display: inline-flex;
	align-items: center;
    justify-content: center;
    font-size: 1.2rem !important;
    padding: 0 !important;
}
.product-stock-manager .fa-store-slash{
	font-size: 0.9rem;
	opacity: 0.5;
	transition: opacity 0.3s;
}
.product-stock-manager>span:hover .fa-store-slash, .btn-danger .fa-store-slash{
	opacity: 1;
	
}
.deficitor{
	text-align: center;
	outline: none;
	border: 1px solid #dee2e6;
	border-radius: 3px;
}
.deficitor.deficit{
	border-color: crimson;
	color: crimson;
	box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.075), 0 0 0 0.25rem rgb(253 13 13 / 25%);
}

/*.deficitor:focus {
    border-color: rgb(134, 182.5, 254);
    outline: 0;
    box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.075), 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
}*/

body .disabler.btn-danger{
	color: #fff;
	background: #dc3545;
	opacity: 1;
}



.status-fc{
	font-family: 'Roboto Mono', Consolas, Courier, monospace;
	font-size: 13px;
}
.fc-status-result{
	font-size: 12px;
	display: inline-flex;
	padding: 0 5px;
	background: #efefef;
	box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
	border-radius: 3px;
	cursor: default;
}
.fc-status-result.fc-status-livrat{
	background: #588d07;
    color: #fff;
}
.fc-status-result.fc-status-in_curs{
	background: #62a0d3;
    color: #fff;
}
.fc-status-result.fc-status-returnat{
	background: crimson;
    color: #fff;
}

















